@ECHO OFF
rem sonic-config.bat
rem 
rem this batch file runs sonic-config.php, a small yet essential program
rem that when run tests the sanity of SONICs working eviroment. *EDIT* the
rem paths below so sonic-config.php is able to run and provide a working
rem framework to all other core SONIC programs.
rem

rem NB, when using cygwin PHP with cmd.exe
rem  cmd.exe can only resolve dospaths, but php will expect cygpaths.
rem
rem solution:
rem  change directory into the "standalone" sonic directory eg. c:\sonic
rem  set SONIC_PREFIX to relative path '.' then run
rem  bin/sonic-*.bat

rem	### P L E A S E : E D I T : B E L O W : H E R E ###
rem

rem not sure if this is still needed for win32 native
rem set PHP_PATH=C:\location\to\win32\php\directory

rem eg. with native win32 php-cli
rem set SONIC_PHP_EXE=C:\Program Files (x86)\PHP\php.exe
rem set SONIC_PHP_EXE=C:\Program Files\PHP\php.exe
set SONIC_PHP_EXE=C:\sonic\win32\php\php.exe
rem set SONIC_PHP_EXE=.\win32\php\php.exe
rem
rem eg. cygwin built php-cli
rem set SONIC_PHP_EXE=C:\cygmin\bin\php.exe
rem set SONIC_PHP_EXE=C:\sonic\win32\cygmin\bin\php.exe
rem set SONIC_PHP_EXE=.\win32\cygmin\bin\php.exe

rem eg. with native win32 php-cli
rem set SONIC_PHP_INI=C:\Program Files (x86)\PHP\
set SONIC_PHP_INI=C:\sonic\win32\php
rem set SONIC_PHP_INI=.\win32\php
rem
rem eg. cygwin built php-cli
rem set SONIC_PHP_INI=/cygdrive/c/cygmin/lib
rem set SONIC_PHP_INI=/cygdrive/c/sonic/win32/cygmin/lib
rem set SONIC_PHP_INI=./win32/cygmin/lib

rem eg. with native win32 php-cli
set SONIC_PHP_EXT=%SONIC_PHP_INI%\ext

rem eg. with native win32 php-cli (cygwin php has ext libs in-built)
set SONIC_PHP_OPT=-c %SONIC_PHP_INI% -d extension_dir=%SONIC_PHP_EXT% -d extension=php_curl -d extension=php_sockets
rem set SONIC_PHP_OPT=-d extension_dir=%SONIC_PHP_EXT% -d extension=php_curl -d extension=php_sockets
rem
rem eg. custom options
rem set SONIC_PHP_OPT=-c %SONIC_PHP_INI%
rem set SONIC_PHP_OPT=

rem set PATH=%PATH%:%SONIC_PHP_INI%:C:\sonic\win32\cygmin\bin
rem set PATH=%PATH%:%SONIC_PHP_INI%:C:\cygmin\bin
rem set PATH=%PATH%:%SONIC_PHP_INI%:.\win32\cygmin\bin
set PATH=%PATH%:%SONIC_PHP_INI%

rem these paths below here are used by PHP so if
rem your using a cygwin built PHP, use cygwin type paths
rem ie. '/cygdrive/c/SONIC' instead of 'c:\SONIC'
rem
set SONIC_PREFIX=C:\sonic
rem set SONIC_PREFIX=/cygdrive/c/sonic
rem set SONIC_PREFIX=.
set SONIC_LIB=%SONIC_PREFIX%\lib
set SONIC_LIBEXEC=%SONIC_PREFIX%\libexec
set SONIC_ETC=%SONIC_PREFIX%\conf

rem	### D O : N O T : E D I T : B E L O W : H E R E ###
rem

if exist "%SONIC_LIBEXEC%" goto endif
  echo Error: Cant locate the SONIC executable directory
  goto exit
:endif

if exist "%SONIC_LIB%\sonic.inc" goto endif
  echo Error: Could not find "sonic.inc"
  goto exit
:endif

if exist "%SONIC_LIBEXEC%\sonic-config.php" goto endif
  echo Error: Could not find "sonic-config.php"
  goto exit
:endif

if exist "%SONIC_PHP_EXE%" goto endif
  echo Error: PHP executable not found
  goto exit
:endif

rem '/' should work in cmd or cyg'bash
rem should really subsitute them i guess
%SONIC_PHP_EXE% %SONIC_PHP_OPT% -q -d max_execution_time=0 %SONIC_LIBEXEC%/sonic-config.php %*

:exit
