@ECHO OFF
rem sonic-program.bat
rem
rem this batch file runs a SONIC/PHP program, the template design
rem using the core configuration program to help setup its running
rem environment. you can set the environment variable SONIC_CONF
rem to the location of the configuration program if this batch file
rem is unable to find it unaided.
rem

rem	### 	A D V A N C E D : E D I T : O N L Y	###
rem

set SONIC_EXE=sonic-daemon.php

rem hard coded, skip auto search
rem set SONIC_CONF=/cygdrive/c/sonic/bin/sonic-config.bat
set SONIC_CONF=C:\sonic\bin\sonic-config.bat

rem auto search default
set SONIC_CONF_DEFAULT=sonic-config.bat

rem	### D O : N O T : E D I T : B E L O W : H E R E ###
rem

if not "%SONIC_CONF%"=="" goto endif
  FOR /F "usebackq tokens=*" %%i in (`dir /s /b %SONIC_CONF_DEFAULT%`) DO set SONIC_CONF=%%i
:endif

if exist "%SONIC_CONF%" goto endif
  echo Error: Could not find "%SONIC_CONF_DEFAULT%"
  echo Try setting the env var SONIC_CONF to the location a SONIC configuration file
  goto exit
:endif

rem if sonic-config runs, implicit checks for libexec dir and sonic.inc
rem
FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --libexec 2^> nul`) DO set SONIC_LIBEXEC=%%i

rem test main
if exist "%SONIC_LIBEXEC%\%SONIC_EXE%" goto endif
  echo Error: Could not find "%SONIC_EXE%"
  echo Double check the env var SONIC_LIBEXEC found in "%SONIC_CONF%"
  goto exit
:endif

FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --php-exe 2^> nul`) DO set SONIC_PHP_EXE=%%i

if exist "%SONIC_PHP_EXE%" goto endif
  echo Error: PHP executable not found
  echo Using the env var SONIC_PHP_EXE found in "%SONIC_CONF%"
  goto exit
:endif

FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --prefix 2^> nul`) DO set SONIC_PREFIX=%%i
FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --lib 2^> nul`) DO set SONIC_LIB=%%i
FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --config-dir 2^> nul`) DO set SONIC_ETC=%%i
FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --php-exe 2^> nul`) DO set SONIC_PHP_EXE=%%i
rem FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --php-inii 2^> nul`) DO set SONIC_PHP_INI=%%i
rem FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --php-ext-dir 2^> nul`) DO set SONIC_PHP_EXT=%%i
FOR /F "usebackq tokens=*" %%i in (`"%SONIC_CONF%" --php-opt 2^> nul`) DO set SONIC_PHP_OPT=%%i

rem '/' in last arg should work with native or cyg'PHP
rem should subsitute them?
%SONIC_PHP_EXE% %SONIC_PHP_OPT% -q -d max_execution_time=0 %SONIC_LIBEXEC%\%SONIC_EXE% %*

:exit
